How do you transfer 3d models between programs, i know there may not be a 100% solution but was hoping someone may start to shed the light when it comes to transferring between programs, one for modeling the other for rendering.
Yes it does take awhile, but still much faster than maxwell. Plus fry already has many bells and whistles already hooked up in the beta that maxwell has been promising for years. Now if I could only convince the boss to buy it for me...
there is a script to export each layer to a serperate file:
copy to notepad and save as exportlayertoSAT.rvb and drag into a Rhino 4 window
' Load it...
Sub ExportLayerObjectsToSat
' Declare local variables
Dim strPath, strFile
Dim arrLayers, strLayer
Dim arrSelected
' Get the path to and name of the current document.
' Surround with double-quotes in case path includes spaces.
strPath = Chr(34) & Rhino.DocumentPath & Rhino.DocumentName & Chr(34)
' Get names of all layers
arrLayers = Rhino.LayerNames
' Disable redrawing
Rhino.EnableRedraw False
' Process each layer
For Each strLayer In arrLayers
' Unselect all
Rhino.Command "_-SelNone", 0
' Select all objects on layer. Surround layer name
' with double-quotes in case it includes spaces.
Rhino.Command "_-SelLayer " & Chr(34) & strLayer & Chr(34), 0
' Make sure some objects were selected
arrSelected = Rhino.SelectedObjects
If IsArray(arrSelected) Then
' Generate a modified path string
' that includes the layer name
strFile = strPath
strFile = Replace(strFile, ".3dm", "_" & strLayer & ".sat")
np yw Rhino script kicks ass here is another one i find useful that i had made
It exports all the Blocks in a file zoomed to extents. (i have found some really interesting hidden blocks, that would have been purged out and i would never have known about)
Option Explicit
'this script currently fails if Rhino Options>RhinoScript is
'set to reinitialize the script engine on opening new files.
Private strOldPath, strOldZoom
If IsEmpty(strOldpath)Then
strOldPath = Rhino.WorkingFolder
End If
If IsEmpty(strOldZoom) Then
strOldZoom = "Yes"
End If
ExportAllBlocks
Sub ExportAllBlocks
Dim arrBlocks, strBlock, strPath, strTemp, str, arrFiles(), strFile
Dim arrZoom, strZoom, strCurrent, name
Dim i
i = 0
arrBlocks = Rhino.BlockNames
If IsArray(BlockNames) Then
strPath = Rhino.BrowseForFolder(strOldpath, "Save blocks to folder","Export Blocks")
Else Exit Sub
End If
If Not IsNull(strPath) Then
strOldPath = strpath
Rhino.EnableRedraw(False)
For Each strBlock In arrBlocks
If Rhino.IsBlock (strBlock) Then
strTemp = Rhino.InsertBlock(strBlock, Array(0,0,0))
Rhino.SelectObject(strTemp)
name = Rhino.BlockInstanceName(strtemp)
str = Chr(34) &strPath &chr(92) & Name &".3dm" &Chr(34)
print str
ReDim Preserve arrFiles(i)
arrFiles(i) = str
i = i + 1
Rhino.Command "_-Export " &str &" Enter"
Rhino.DeleteObject strTemp
End If
Next
Rhino.EnableRedraw(True)
Else Exit Sub
End If
If isUpperBound(arrFiles) And UCase(strZoom) = "YES" Then
Rhino.Command "Save"
Rhino.EnableRedraw(False)
For Each strFile In arrFiles
Rhino.Command "_-Open _UpdatePromptUpdateBlocks=No " &strFile '&" _Enter"
Rhino.Command "_Zoom _All _Extents "
Rhino.Command "_Save "
Next
If Not IsNull(strCurrent)Then
Rhino.Command "_-Open " & Chr(34) &strCurrent &Chr(34) & " "
End If
Rhino v. 4 to 3D Studio Max file transfers?
How do you transfer 3d models between programs, i know there may not be a 100% solution but was hoping someone may start to shed the light when it comes to transferring between programs, one for modeling the other for rendering.
I don't know y you want to leave Rhinoceros when you have the option to have every render engine in it except final render.
unless final render is all you want.
maybe look at deep exploration or look at these offerings from npower
http://www.novedge.com/brands/20
also look at this: http://fryrender.com/
that or convert to mesh and export or export IGES max flavor from rhino
i know how hard it can be to leave the power NURBS :)
good luck but make sure to look at all your choices
rhino to max is what i do at my job. here's how you do it.
export the files to dwg.
this will prompt an edit scheme window.
create a new scheme that writes surfaces and meshes as meshes.
you can then adjust the number of polygons to high or low depending on the level of curvature of your geometry.
open max and import the dwg. all your layers should be preserved.
anybody know where i can find the Vray plug-in for rhino? I'm looking for it heavily discounted, if you catch my drift...
: power translator, import rhino files into max = nurbs in max
the demo cracks itself, vray that is. cute
see the new FRYRender? that looks sick.
that FRYRender looks insane, does it take forever to cook like Maxwell?
Yes it does take awhile, but still much faster than maxwell. Plus fry already has many bells and whistles already hooked up in the beta that maxwell has been promising for years. Now if I could only convince the boss to buy it for me...
I've been hearing about vray for maya - did that ever happen?
and I too have heard good things about fryrender. been meaning to check it out.
STL files are good between cad/rhino/3dmax
also 3ds and DWG work between all the programs but you have to make sure to keep down the polygon conversion.
most important when working on large files: import each layer separately not the entire file all at once.
there is a script to export each layer to a serperate file:
copy to notepad and save as exportlayertoSAT.rvb and drag into a Rhino 4 window
' Load it...
Sub ExportLayerObjectsToSat
' Declare local variables
Dim strPath, strFile
Dim arrLayers, strLayer
Dim arrSelected
' Get the path to and name of the current document.
' Surround with double-quotes in case path includes spaces.
strPath = Chr(34) & Rhino.DocumentPath & Rhino.DocumentName & Chr(34)
' Get names of all layers
arrLayers = Rhino.LayerNames
' Disable redrawing
Rhino.EnableRedraw False
' Process each layer
For Each strLayer In arrLayers
' Unselect all
Rhino.Command "_-SelNone", 0
' Select all objects on layer. Surround layer name
' with double-quotes in case it includes spaces.
Rhino.Command "_-SelLayer " & Chr(34) & strLayer & Chr(34), 0
' Make sure some objects were selected
arrSelected = Rhino.SelectedObjects
If IsArray(arrSelected) Then
' Generate a modified path string
' that includes the layer name
strFile = strPath
strFile = Replace(strFile, ".3dm", "_" & strLayer & ".sat")
' Export the selected objects
Rhino.Command "_-Export " & strFile & " _Enter", 0
End If
Next
' Unselect all
Rhino.Command "_-SelNone", 0
' Enable redrawing
Rhino.EnableRedraw True
End Sub
' Run it...
ExportLayerObjectsToSat
Sweet! Thanks for sharing Jonas.
np yw Rhino script kicks ass here is another one i find useful that i had made
It exports all the Blocks in a file zoomed to extents. (i have found some really interesting hidden blocks, that would have been purged out and i would never have known about)
Option Explicit
'this script currently fails if Rhino Options>RhinoScript is
'set to reinitialize the script engine on opening new files.
Private strOldPath, strOldZoom
If IsEmpty(strOldpath)Then
strOldPath = Rhino.WorkingFolder
End If
If IsEmpty(strOldZoom) Then
strOldZoom = "Yes"
End If
ExportAllBlocks
Sub ExportAllBlocks
Dim arrBlocks, strBlock, strPath, strTemp, str, arrFiles(), strFile
Dim arrZoom, strZoom, strCurrent, name
Dim i
i = 0
arrZoom = Array("Yes", "No")
strZoom = Rhino.GetString("Zoom extents on exported files?",strOldZoom, arrZoom)
If Not IsNull (strZoom) Then
strOldZoom = strZoom
Else Exit Sub
End If
strCurrent = Rhino.DocumentPath &Rhino.DocumentName
arrBlocks = Rhino.BlockNames
If IsArray(BlockNames) Then
strPath = Rhino.BrowseForFolder(strOldpath, "Save blocks to folder","Export Blocks")
Else Exit Sub
End If
If Not IsNull(strPath) Then
strOldPath = strpath
Rhino.EnableRedraw(False)
For Each strBlock In arrBlocks
If Rhino.IsBlock (strBlock) Then
strTemp = Rhino.InsertBlock(strBlock, Array(0,0,0))
Rhino.SelectObject(strTemp)
name = Rhino.BlockInstanceName(strtemp)
str = Chr(34) &strPath &chr(92) & Name &".3dm" &Chr(34)
print str
ReDim Preserve arrFiles(i)
arrFiles(i) = str
i = i + 1
Rhino.Command "_-Export " &str &" Enter"
Rhino.DeleteObject strTemp
End If
Next
Rhino.EnableRedraw(True)
Else Exit Sub
End If
If isUpperBound(arrFiles) And UCase(strZoom) = "YES" Then
Rhino.Command "Save"
Rhino.EnableRedraw(False)
For Each strFile In arrFiles
Rhino.Command "_-Open _UpdatePromptUpdateBlocks=No " &strFile '&" _Enter"
Rhino.Command "_Zoom _All _Extents "
Rhino.Command "_Save "
Next
If Not IsNull(strCurrent)Then
Rhino.Command "_-Open " & Chr(34) &strCurrent &Chr(34) & " "
End If
Rhino.EnableRedraw(True)
End If
End Sub
'\\\\\\\\\\\\\\\\\\\\\\\\\
'/////////////////////////
Function IsUpperBound(ByRef arr)
IsUpperBound = False
If IsArray(arr) Then
On Error Resume Next
UBound arr
If Err.Number = 0 Then IsUpperBound = True
End If
End Function
Rhino.AddStartUpScript Rhino.LastLoadedScriptFile
Rhino.AddAlias "ExportAllBlocks", "! _-Runscript ExportAllBlocks"
Hi all! Is there a way to transfer a 3d model from revit to rhino and vice versa?
thanks in advance
Block this user
Are you sure you want to block this user and hide all related comments throughout the site?
Archinect
This is your first comment on Archinect. Your comment will be visible once approved.